---
%{PREFIX}alias:
  alias_id:
    Field: alias_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  alias_status:
    Field: alias_status
    Type: varchar(16)
    'Null': NO
    Key:
    Default:
    Extra:
  alias_sort:
    Field: alias_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  alias_domain:
    Field: alias_domain
    Type: varchar(128)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  alias_code:
    Field: alias_code
    Type: varchar(128)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  alias_name:
    Field: alias_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  alias_scope:
    Field: alias_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  alias_description:
    Field: alias_description
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  alias_indexing:
    Field: alias_indexing
    Type: varchar(8)
    'Null': NO
    Key:
    Default: on
    Extra:
  alias_blog_id:
    Field: alias_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}approval:
  approval_id:
    Field: approval_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  approval_type:
    Field: approval_type
    Type: varchar(16)
    'Null': NO
    Key:
    Default:
    Extra:
  approval_method:
    Field: approval_method
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  approval_datetime:
    Field: approval_datetime
    Type: datetime
    'Null': NO
    Key:
    Default:
    Extra:
  approval_deadline_datetime:
    Field: approval_deadline_datetime
    Type: datetime
    'Null': NO
    Key:
    Default:
    Extra:
  approval_comment:
    Field: approval_comment
    Type: varchar(512)
    'Null': NO
    Key:
    Default:
    Extra:
  approval_request_usergroup_id:
    Field: approval_request_usergroup_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  approval_receive_usergroup_id:
    Field: approval_receive_usergroup_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  approval_request_user_id:
    Field: approval_request_user_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  approval_receive_user_id:
    Field: approval_receive_user_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  approval_revision_id:
    Field: approval_revision_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  approval_entry_id:
    Field: approval_entry_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  approval_blog_id:
    Field: approval_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}approval_notification:
  notification_rev_id:
    Field: notification_rev_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  notification_entry_id:
    Field: notification_entry_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  notification_blog_id:
    Field: notification_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  notification_approval_id:
    Field: notification_approval_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  notification_request_user_id:
    Field: notification_request_user_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  notification_receive_user_id:
    Field: notification_receive_user_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  notification_receive_usergroup_id:
    Field: notification_receive_usergroup_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  notification_except_user_ids:
    Field: notification_except_user_ids
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  notification_type:
    Field: notification_type
    Type: varchar(16)
    'Null': NO
    Key:
    Default:
    Extra:
  notification_datetime:
    Field: notification_datetime
    Type: datetime
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}blog:
  blog_id:
    Field: blog_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  blog_code:
    Field: blog_code
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  blog_status:
    Field: blog_status
    Type: varchar(16)
    'Null': NO
    Key: PRI
    Default: open
    Extra:
  blog_parent:
    Field: blog_parent
    Type: int(11)
    'Null': NO
    Key:
    Default: 0
    Extra:
  blog_sort:
    Field: blog_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  blog_left:
    Field: blog_left
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  blog_right:
    Field: blog_right
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  blog_name:
    Field: blog_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  blog_domain:
    Field: blog_domain
    Type: varchar(128)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  blog_indexing:
    Field: blog_indexing
    Type: varchar(8)
    'Null': NO
    Key: PRI
    Default: on
    Extra:
  blog_config_set_id:
    Field: blog_config_set_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  blog_config_set_scope:
    Field: blog_config_set_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  blog_theme_set_id:
    Field: blog_theme_set_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  blog_theme_set_scope:
    Field: blog_theme_set_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  blog_editor_set_id:
    Field: blog_editor_set_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  blog_editor_set_scope:
    Field: blog_editor_set_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  blog_generated_datetime:
    Field: blog_generated_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '1000-01-01 00:00:00'
    Extra:
  blog_maintenance_mode:
    Field: blog_maintenance_mode
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  blog_alias_status:
    Field: blog_alias_status
    Type: varchar(8)
    'Null': NO
    Key:
    Default: open
    Extra:
  blog_alias_sort:
    Field: blog_alias_sort
    Type: int(11)
    'Null': NO
    Key:
    Default: 1
    Extra:
  blog_alias_primary:
    Field: blog_alias_primary
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
%{PREFIX}cache_data:
  cache_data_key:
    Field: cache_data_key
    Type: VARBINARY(255)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  cache_data_value:
    Field: cache_data_value
    Type: MEDIUMBLOB
    'Null': NO
    Key:
    Default:
    Extra:
  cache_data_lifetime:
    Field: cache_data_lifetime
    Type: INTEGER UNSIGNED
    'Null':
    Key:
    Default:
    Extra:
  cache_data_time:
    Field: cache_data_time
    Type: INTEGER UNSIGNED
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}cache_tag:
  cache_tag_name:
    Field: cache_tag_name
    Type: VARBINARY(255)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  cache_tag_key:
    Field: cache_tag_key
    Type: VARBINARY(255)
    'Null': NO
    Key: PRI
    Default:
    Extra:
%{PREFIX}cache_reserve:
  cache_reserve_datetime:
    Field: cache_reserve_datetime
    Type: datetime
    'Null': NO
    Key: PRI
    Default: '1000-01-01 00:00:00'
    Extra:
  cache_reserve_entry_id:
    Field: cache_reserve_entry_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  cache_reserve_blog_id:
    Field: cache_reserve_blog_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  cache_reserve_type:
    Field: cache_reserve_type
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}category:
  category_id:
    Field: category_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  category_code:
    Field: category_code
    Type: varchar(255)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  category_status:
    Field: category_status
    Type: varchar(16)
    'Null': NO
    Key: PRI
    Default: open
    Extra:
  category_parent:
    Field: category_parent
    Type: int(11)
    'Null': NO
    Key:
    Default: 0
    Extra:
  category_sort:
    Field: category_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  category_left:
    Field: category_left
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  category_right:
    Field: category_right
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  category_name:
    Field: category_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  category_scope:
    Field: category_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  category_indexing:
    Field: category_indexing
    Type: varchar(8)
    'Null': NO
    Key: PRI
    Default: on
    Extra:
  category_config_set_id:
    Field: category_config_set_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  category_config_set_scope:
    Field: category_config_set_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  category_theme_set_id:
    Field: category_theme_set_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  category_theme_set_scope:
    Field: category_theme_set_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  category_editor_set_id:
    Field: category_editor_set_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  category_editor_set_scope:
    Field: category_editor_set_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  category_blog_id:
    Field: category_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}column:
  column_id:
    Field: column_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  column_sort:
    Field: column_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  column_align:
    Field: column_align
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  column_type:
    Field: column_type
    Type: varchar(128)
    'Null': NO
    Key:
    Default:
    Extra:
  column_attr:
    Field: column_attr
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  column_group:
    Field: column_group
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  column_size:
    Field: column_size
    Type: varchar(16)
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_1:
    Field: column_field_1
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_2:
    Field: column_field_2
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_3:
    Field: column_field_3
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_4:
    Field: column_field_4
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_5:
    Field: column_field_5
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_6:
    Field: column_field_6
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_7:
    Field: column_field_7
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_8:
    Field: column_field_8
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  column_entry_id:
    Field: column_entry_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  column_blog_id:
    Field: column_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}column_rev:
  column_id:
    Field: column_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  column_sort:
    Field: column_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  column_align:
    Field: column_align
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  column_type:
    Field: column_type
    Type: varchar(128)
    'Null': NO
    Key:
    Default:
    Extra:
  column_attr:
    Field: column_attr
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  column_group:
    Field: column_group
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  column_size:
    Field: column_size
    Type: varchar(16)
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_1:
    Field: column_field_1
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_2:
    Field: column_field_2
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_3:
    Field: column_field_3
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_4:
    Field: column_field_4
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_5:
    Field: column_field_5
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_6:
    Field: column_field_6
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_7:
    Field: column_field_7
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  column_field_8:
    Field: column_field_8
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  column_entry_id:
    Field: column_entry_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  column_blog_id:
    Field: column_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  column_rev_id:
    Field: column_rev_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
%{PREFIX}comment:
  comment_id:
    Field: comment_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  comment_status:
    Field: comment_status
    Type: varchar(16)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  comment_parent:
    Field: comment_parent
    Type: int(11)
    'Null': NO
    Key:
    Default: 0
    Extra:
  comment_left:
    Field: comment_left
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  comment_right:
    Field: comment_right
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  comment_title:
    Field: comment_title
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  comment_body:
    Field: comment_body
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  comment_name:
    Field: comment_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  comment_mail:
    Field: comment_mail
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  comment_url:
    Field: comment_url
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  comment_pass:
    Field: comment_pass
    Type: varchar(32)
    'Null': NO
    Key:
    Default:
    Extra:
  comment_datetime:
    Field: comment_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '1000-01-01 00:00:00'
    Extra:
  comment_host:
    Field: comment_host
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  comment_rank:
    Field: comment_rank
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  comment_entry_id:
    Field: comment_entry_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  comment_user_id:
    Field: comment_user_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  comment_blog_id:
    Field: comment_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}config:
  config_key:
    Field: config_key
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  config_value:
    Field: config_value
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  config_sort:
    Field: config_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  config_rule_id:
    Field: config_rule_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  config_module_id:
    Field: config_module_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  config_set_id:
    Field: config_set_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  config_blog_id:
    Field: config_blog_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
%{PREFIX}config_set:
  config_set_id:
    Field: config_set_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  config_set_type:
    Field: config_set_type
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  config_set_sort:
    Field: config_set_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  config_set_name:
    Field: config_set_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  config_set_scope:
    Field: config_set_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  config_set_description:
    Field: config_set_description
    Type: text
    'Null': NO
    Key:
    Default:
    Extra:
  config_set_blog_id:
    Field: config_set_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}dashboard:
  dashboard_key:
    Field: dashboard_key
    Type: varchar(255)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  dashboard_value:
    Field: dashboard_value
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  dashboard_sort:
    Field: dashboard_sort
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  dashboard_blog_id:
    Field: dashboard_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}entry:
  entry_id:
    Field: entry_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  entry_code:
    Field: entry_code
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_status:
    Field: entry_status
    Type: varchar(16)
    'Null': NO
    Key: PRI
    Default: open
    Extra:
  entry_approval:
    Field: entry_approval
    Type: varchar(16)
    'Null': NO
    Key:
    Default: none
    Extra:
  entry_form_status:
    Field: entry_form_status
    Type: varchar(16)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_sort:
    Field: entry_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_user_sort:
    Field: entry_user_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_category_sort:
    Field: entry_category_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_title:
    Field: entry_title
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_link:
    Field: entry_link
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_datetime:
    Field: entry_datetime
    Type: datetime
    'Null': NO
    Key: MUL
    Default: '1000-01-01 00:00:00'
    Extra:
  entry_start_datetime:
    Field: entry_start_datetime
    Type: datetime
    'Null': NO
    Key: PRI
    Default: '1000-01-01 00:00:00'
    Extra:
  entry_end_datetime:
    Field: entry_end_datetime
    Type: datetime
    'Null': NO
    Key: PRI
    Default: '9999-12-31 23:59:59'
    Extra:
  entry_posted_datetime:
    Field: entry_posted_datetime
    Type: datetime
    'Null': NO
    Key: MUL
    Default: '9999-12-31 23:59:59'
    Extra:
  entry_updated_datetime:
    Field: entry_updated_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '9999-12-31 23:59:59'
    Extra:
  entry_summary_range:
    Field: entry_summary_range
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  entry_indexing:
    Field: entry_indexing
    Type: varchar(8)
    'Null': NO
    Key:
    Default: on
    Extra:
  entry_members_only:
    Field: entry_members_only
    Type: varchar(8)
    'Null': NO
    Key:
    Default: off
    Extra:
  entry_primary_image:
    Field: entry_primary_image
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  entry_current_rev_id:
    Field: entry_current_rev_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_reserve_rev_id:
    Field: entry_reserve_rev_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_last_update_user_id:
    Field: entry_last_update_user_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_hash:
    Field: entry_hash
    Type: char(32)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_category_id:
    Field: entry_category_id
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  entry_user_id:
    Field: entry_user_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  entry_form_id:
    Field: entry_form_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_blog_id:
    Field: entry_blog_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  entry_delete_uid:
    Field: entry_delete_uid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  entry_lock_datetime:
    Field: entry_lock_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '1000-01-01 23:59:59'
    Extra:
  entry_lock_uid:
    Field: entry_lock_uid
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}entry_rev:
  entry_id:
    Field: entry_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  entry_rev_id:
    Field: entry_rev_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  entry_rev_status:
    Field: entry_rev_status
    Type: varchar(16)
    'Null': NO
    Key:
    Default: none
    Extra:
  entry_rev_user_id:
    Field: entry_rev_user_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_rev_datetime:
    Field: entry_rev_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '1000-01-01 00:00:00'
    Extra:
  entry_rev_memo:
    Field: entry_rev_memo
    Type: varchar(512)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_code:
    Field: entry_code
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_status:
    Field: entry_status
    Type: varchar(16)
    'Null': NO
    Key: PRI
    Default: open
    Extra:
  entry_approval:
    Field: entry_approval
    Type: varchar(16)
    'Null': NO
    Key:
    Default: none
    Extra:
  entry_approval_public_point:
    Field: entry_approval_public_point
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_approval_reject_point:
    Field: entry_approval_reject_point
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_form_status:
    Field: entry_form_status
    Type: varchar(16)
    'Null': NO
    Key:
    Default: open
    Extra:
  entry_sort:
    Field: entry_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_user_sort:
    Field: entry_user_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_category_sort:
    Field: entry_category_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_title:
    Field: entry_title
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_link:
    Field: entry_link
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_datetime:
    Field: entry_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '1000-01-01 00:00:00'
    Extra:
  entry_start_datetime:
    Field: entry_start_datetime
    Type: datetime
    'Null': NO
    Key: PRI
    Default: '1000-01-01 00:00:00'
    Extra:
  entry_end_datetime:
    Field: entry_end_datetime
    Type: datetime
    'Null': NO
    Key: PRI
    Default: '9999-12-31 23:59:59'
    Extra:
  entry_posted_datetime:
    Field: entry_posted_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '9999-12-31 23:59:59'
    Extra:
  entry_updated_datetime:
    Field: entry_updated_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '9999-12-31 23:59:59'
    Extra:
  entry_summary_range:
    Field: entry_summary_range
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  entry_indexing:
    Field: entry_indexing
    Type: varchar(8)
    'Null': NO
    Key:
    Default: on
    Extra:
  entry_members_only:
    Field: entry_members_only
    Type: varchar(8)
    'Null': NO
    Key:
    Default: off
    Extra:
  entry_primary_image:
    Field: entry_primary_image
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  entry_hash:
    Field: entry_hash
    Type: char(32)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_category_id:
    Field: entry_category_id
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  entry_user_id:
    Field: entry_user_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  entry_form_id:
    Field: entry_form_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_blog_id:
    Field: entry_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  entry_delete_uid:
    Field: entry_delete_uid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  entry_lock_datetime:
    Field: entry_lock_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '1000-01-01 23:59:59'
    Extra:
  entry_lock_uid:
    Field: entry_lock_uid
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}entry_sub_category:
  entry_sub_category_eid:
    Field: entry_sub_category_eid
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  entry_sub_category_id:
    Field: entry_sub_category_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  entry_sub_category_blog_id:
    Field: entry_sub_category_blog_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
%{PREFIX}entry_sub_category_rev:
  entry_sub_category_eid:
    Field: entry_sub_category_eid
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  entry_sub_category_rev_id:
      Field: entry_sub_category_rev_id
      Type: int(11)
      'Null': NO
      Key: MUL
      Default:
      Extra:
  entry_sub_category_id:
    Field: entry_sub_category_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  entry_sub_category_blog_id:
    Field: entry_sub_category_blog_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
%{PREFIX}relationship:
  relation_id:
    Field: relation_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  relation_eid:
    Field: relation_eid
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  relation_type:
    Field: relation_type
    Type: varchar(64)
    'Null': NO
    Key: PRI
    Default: default
    Extra:
  relation_order:
    Field: relation_order
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
%{PREFIX}relationship_rev:
  relation_id:
    Field: relation_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  relation_rev_id:
    Field: relation_rev_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  relation_eid:
    Field: relation_eid
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  relation_type:
    Field: relation_type
    Type: varchar(64)
    'Null': NO
    Key: PRI
    Default: default
    Extra:
  relation_order:
    Field: relation_order
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
%{PREFIX}field:
  field_key:
    Field: field_key
    Type: varchar(255)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  field_value:
    Field: field_value
    Type: longtext
    'Null': YES
    Key:
    Default:
    Extra:
  field_type:
    Field: field_type
    Type: varchar(32)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_sort:
    Field: field_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  field_search:
    Field: field_search
    Type: varchar(8)
    'Null': NO
    Key:
    Default: on
    Extra:
  field_eid:
    Field: field_eid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_cid:
    Field: field_cid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_uid:
    Field: field_uid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_bid:
    Field: field_bid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_mid:
    Field: field_mid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_blog_id:
    Field: field_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default: 0
    Extra:
%{PREFIX}field_rev:
  field_key:
    Field: field_key
    Type: varchar(255)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  field_value:
    Field: field_value
    Type: longtext
    'Null': YES
    Key:
    Default:
    Extra:
  field_type:
    Field: field_type
    Type: varchar(32)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_sort:
    Field: field_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  field_search:
    Field: field_search
    Type: varchar(8)
    'Null': NO
    Key:
    Default: on
    Extra:
  field_eid:
    Field: field_eid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_cid:
    Field: field_cid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_uid:
    Field: field_uid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_bid:
    Field: field_bid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_mid:
    Field: field_mid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  field_blog_id:
    Field: field_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  field_rev_id:
    Field: field_rev_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
%{PREFIX}form:
  form_id:
    Field: form_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  form_code:
    Field: form_code
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  form_name:
    Field: form_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  form_scope:
    Field: form_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  form_log:
    Field: form_log
    Type: int(1)
    'Null': No
    Key:
    Default: 1
    Extra:
  form_data:
    Field: form_data
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  form_current_serial:
    Field: form_current_serial
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  form_blog_id:
    Field: form_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}fulltext:
  fulltext_value:
    Field: fulltext_value
    Type: longtext
    'Null': NO
    Key: MUL
    Default:
    Extra:
  fulltext_ngram:
    Field: fulltext_ngram
    Type: longtext
    'Null': NO
    Key: MUL
    Default:
    Extra:
  fulltext_eid:
    Field: fulltext_eid
    Type: int(11)
    'Null': YES
    Key: UNI
    Default:
    Extra:
  fulltext_cid:
    Field: fulltext_cid
    Type: int(11)
    'Null': YES
    Key: UNI
    Default:
    Extra:
  fulltext_uid:
    Field: fulltext_uid
    Type: int(11)
    'Null': YES
    Key: UNI
    Default:
    Extra:
  fulltext_bid:
    Field: fulltext_bid
    Type: int(11)
    'Null': YES
    Key: UNI
    Default:
    Extra:
  fulltext_blog_id:
    Field: fulltext_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}geo:
  geo_eid:
    Field: geo_eid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  geo_bid:
    Field: geo_bid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  geo_uid:
    Field: geo_uid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  geo_cid:
    Field: geo_cid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  geo_geometry:
    Field: geo_geometry
    Type: geometry
    'Null': NO
    Key: SPA
    Default:
    Extra:
  geo_zoom:
    Field: geo_zoom
    Type: int(4)
    'Null': NO
    Key:
    Default:
    Extra:
  geo_blog_id:
    Field: geo_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}geo_rev:
  geo_eid:
    Field: geo_eid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  geo_rev_id:
    Field: geo_rev_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  geo_bid:
    Field: geo_bid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  geo_uid:
    Field: geo_uid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  geo_cid:
    Field: geo_cid
    Type: int(11)
    'Null': YES
    Key: MUL
    Default:
    Extra:
  geo_geometry:
    Field: geo_geometry
    Type: geometry
    'Null': NO
    Key:
    Default:
    Extra:
  geo_zoom:
    Field: geo_zoom
    Type: int(4)
    'Null': NO
    Key:
    Default:
    Extra:
  geo_blog_id:
    Field: geo_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}layout_grid:
  layout_grid_identifier:
    Field: layout_grid_identifier
    Type: varchar(64)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  layout_grid_serial:
    Field: layout_grid_serial
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  layout_grid_class:
    Field: layout_grid_class
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  layout_grid_parent:
    Field: layout_grid_parent
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  layout_grid_col:
    Field: layout_grid_col
    Type: int(2)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  layout_grid_row:
    Field: layout_grid_row
    Type: int(2)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  layout_grid_mid:
    Field: layout_grid_mid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  layout_grid_preview:
    Field: layout_grid_preview
    Type: int(1)
    'Null': NO
    Key:
    Default: 0
    Extra:
  layout_grid_tpl:
    Field: layout_grid_tpl
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  layout_grid_blog_id:
    Field: layout_grid_blog_id
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
%{PREFIX}audit_log:
  audit_log_id:
    Field: audit_log_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  audit_log_datetime:
    Field: audit_log_datetime
    Type: datetime
    'Null': NO
    Key: MUL
    Default:
    Extra:
  audit_log_level:
    Field: audit_log_level
    Type: int(4)
    'Null': NO
    Key:
    Default:
    Extra:
  audit_log_level_name:
    Field: audit_log_level_name
    Type: varchar(16)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  audit_log_url:
    Field: audit_log_url
    Type: varchar(512)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_ua:
    Field: audit_log_ua
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_addr:
    Field: audit_log_addr
    Type: varchar(40)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_referer:
    Field: audit_log_referer
    Type: varchar(512)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_method:
    Field: audit_log_method
    Type: varchar(8)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_status:
    Field: audit_log_status
    Type: varchar(32)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_response_time:
    Field: audit_log_response_time
    Type: double
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_acms_post:
    Field: audit_log_acms_post
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_message:
    Field: audit_log_message
    Type: text
    'Null': NO
    Key:
    Default:
    Extra:
  audit_log_session_uid:
    Field: audit_log_session_uid
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  audit_log_session_alt_uid:
    Field: audit_log_session_alt_uid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_eid:
    Field: audit_log_eid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_cid:
    Field: audit_log_cid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_uid:
    Field: audit_log_uid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_rid:
    Field: audit_log_rid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_req_header:
    Field: audit_log_req_header
    Type: text
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_req_body:
    Field: audit_log_req_body
    Type: text
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_context:
    Field: audit_log_context
    Type: text
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_extra:
    Field: audit_log_extra
    Type: text
    'Null': YES
    Key:
    Default:
    Extra:
  audit_log_blog_id:
    Field: audit_log_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}log_form:
  log_form_datetime:
    Field: log_form_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '1000-01-01 00:00:00'
    Extra:
  log_form_remote_addr:
    Field: log_form_remote_addr
    Type: varchar(40)
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_user_agent:
    Field: log_form_user_agent
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_mail_to:
    Field: log_form_mail_to
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_mail_subject:
    Field: log_form_mail_subject
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_mail_subject_admin:
    Field: log_form_mail_subject_admin
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_mail_body:
    Field: log_form_mail_body
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_mail_body_admin:
    Field: log_form_mail_body_admin
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_data:
    Field: log_form_data
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_version:
    Field: log_form_version
    Type: int(2)
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_serial:
    Field: log_form_serial
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_form_id:
    Field: log_form_form_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_entry_id:
    Field: log_form_entry_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  log_form_blog_id:
    Field: log_form_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}media:
  media_id:
    Field: media_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  media_status:
    Field: media_status
    Type: varchar(16)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  media_type:
    Field: media_type
    Type: varchar(16)
    'Null': NO
    Key:
    Default:
    Extra:
  media_extension:
    Field: media_extension
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  media_path:
    Field: media_path
    Type: varchar(512)
    'Null': NO
    Key:
    Default:
    Extra:
  media_thumbnail:
    Field: media_thumbnail
    Type: varchar(512)
    'Null': NO
    Key:
    Default:
    Extra:
  media_original:
    Field: media_original
    Type: varchar(512)
    'Null': NO
    Key:
    Default:
    Extra:
  media_file_name:
    Field: media_file_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  media_image_size:
    Field: media_image_size
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  media_file_size:
    Field: media_file_size
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  media_upload_date:
    Field: media_upload_date
    Type: datetime
    'Null': NO
    Key:
    Default:
    Extra:
  media_update_date:
    Field: media_update_date
    Type: datetime
    'Null': NO
    Key:
    Default:
    Extra:
  media_field_1:
    Field: media_field_1
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  media_field_2:
    Field: media_field_2
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  media_field_3:
    Field: media_field_3
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  media_field_4:
    Field: media_field_4
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  media_field_5:
    Field: media_field_5
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  media_field_6:
    Field: media_field_6
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  media_user_id:
    Field: media_user_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  media_blog_id:
    Field: media_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  media_last_update_user_id:
    Field: media_last_update_user_id
    Type: int(11)
    'Null': Yes
    Key:
    Default:
    Extra:
%{PREFIX}media_tag:
  media_tag_name:
    Field: media_tag_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  media_tag_sort:
    Field: media_tag_sort
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  media_tag_media_id:
    Field: media_tag_media_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  media_tag_blog_id:
    Field: media_tag_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}module:
  module_id:
    Field: module_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  module_identifier:
    Field: module_identifier
    Type: varchar(64)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  module_name:
    Field: module_name
    Type: varchar(64)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  module_label:
    Field: module_label
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  module_description:
    Field: module_description
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  module_status:
    Field: module_status
    Type: varchar(8)
    'Null': NO
    Key:
    Default: open
    Extra:
  module_scope:
    Field: module_scope
    Type: varchar(8)
    'Null': NO
    Key: PRI
    Default: local
    Extra:
  module_cache:
    Field: module_cache
    Type: int(11)
    'Null': NO
    Key:
    Default: 0
    Extra:
  module_bid:
    Field: module_bid
    Type: varchar(32)
    'Null': YES
    Key:
    Default:
    Extra:
  module_bid_axis:
    Field: module_bid_axis
    Type: varchar(32)
    'Null': NO
    Key:
    Default: self
    Extra:
  module_uid:
    Field: module_uid
    Type: varchar(32)
    'Null': YES
    Key:
    Default:
    Extra:
  module_uid_scope:
    Field: module_uid_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  module_cid:
    Field: module_cid
    Type: varchar(32)
    'Null': YES
    Key:
    Default:
    Extra:
  module_cid_scope:
    Field: module_cid_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  module_cid_axis:
    Field: module_cid_axis
    Type: varchar(32)
    'Null': NO
    Key:
    Default: self
    Extra:
  module_eid:
    Field: module_eid
    Type: varchar(32)
    'Null': YES
    Key:
    Default:
    Extra:
  module_eid_scope:
    Field: module_eid_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  module_keyword:
    Field: module_keyword
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  module_keyword_scope:
    Field: module_keyword_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  module_tag:
    Field: module_tag
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  module_tag_scope:
    Field: module_tag_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  module_field:
    Field: module_field
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  module_field_scope:
    Field: module_field_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  module_start:
    Field: module_start
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  module_start_scope:
    Field: module_start_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  module_end:
    Field: module_end
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  module_end_scope:
    Field: module_end_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  module_page:
    Field: module_page
    Type: varchar(32)
    'Null': YES
    Key:
    Default:
    Extra:
  module_page_scope:
    Field: module_page_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  module_order:
    Field: module_order
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  module_order_scope:
    Field: module_order_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  module_custom_field:
    Field: module_custom_field
    Type: varchar(4)
    'Null': NO
    Key:
    Default: off
    Extra:
  module_layout_use:
    Field: module_layout_use
    Type: int(1)
    'Null': NO
    Key:
    Default: 0
    Extra:
  module_api_use:
    Field: module_api_use
    Type: varchar(8)
    'Null': NO
    Key:
    Default: off
    Extra:
  module_blog_id:
    Field: module_blog_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
%{PREFIX}role:
  role_id:
    Field: role_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  role_name:
    Field: role_name
    Type: varchar(128)
    'Null': NO
    Key:
    Default: open
    Extra:
  role_description:
    Field: role_description
    Type: varchar(512)
    'Null': NO
    Key:
    Default:
    Extra:
  role_blog_axis:
    Field: role_blog_axis
    Type: varchar(16)
    'Null': NO
    Key:
    Default: self
    Extra:
  role_entry_edit_all:
    Field: role_entry_edit_all
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_entry_edit:
    Field: role_entry_edit
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_entry_delete:
    Field: role_entry_delete
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_category_create:
    Field: role_category_create
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_category_edit:
    Field: role_category_edit
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_form_view:
    Field: role_form_view
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_form_edit:
    Field: role_form_edit
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_tag_edit:
    Field: role_tag_edit
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_media_upload:
    Field: role_media_upload
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_media_edit:
    Field: role_media_edit
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_rule_edit:
    Field: role_rule_edit
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_publish_edit:
    Field: role_publish_edit
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_publish_exec:
    Field: role_publish_exec
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_config_edit:
    Field: role_config_edit
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_module_edit:
    Field: role_module_edit
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_backup_export:
    Field: role_backup_export
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_backup_import:
    Field: role_backup_import
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  role_admin_etc:
    Field: role_admin_etc
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}role_blog:
  role_id:
    Field: role_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  blog_id:
    Field: blog_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
%{PREFIX}rule:
  rule_id:
    Field: rule_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  rule_name:
    Field: rule_name
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  rule_sort:
    Field: rule_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  rule_status:
    Field: rule_status
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  rule_description:
    Field: rule_description
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  rule_scope:
    Field: rule_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default: local
    Extra:
  rule_bid:
    Field: rule_bid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_bid_case:
    Field: rule_bid_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_aid:
    Field: rule_aid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_aid_case:
    Field: rule_aid_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_uid:
    Field: rule_uid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_uid_case:
    Field: rule_uid_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_cid:
    Field: rule_cid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_cid_case:
    Field: rule_cid_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_eid:
    Field: rule_eid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_eid_case:
    Field: rule_eid_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_ucd:
    Field: rule_ucd
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_ucd_case:
    Field: rule_ucd_case
    Type: varchar(32)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_ccd:
    Field: rule_ccd
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_ccd_case:
    Field: rule_ccd_case
    Type: varchar(32)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_ecd:
    Field: rule_ecd
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_ecd_case:
    Field: rule_ecd_case
    Type: varchar(32)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_ua:
    Field: rule_ua
    Type: varchar(32)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_ua_case:
    Field: rule_ua_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_cookie_key:
    Field: rule_cookie_key
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_cookie_val:
    Field: rule_cookie_val
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_cookie_case:
    Field: rule_cookie_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_term_type:
    Field: rule_term_type
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_term_start:
    Field: rule_term_start
    Type: datetime
    'Null': YES
    Key:
    Default:
    Extra:
  rule_term_end:
    Field: rule_term_end
    Type: datetime
    'Null': YES
    Key:
    Default:
    Extra:
  rule_term_case:
    Field: rule_term_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_session_uid:
    Field: rule_session_uid
    Type: int(11)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_session_uid_case:
    Field: rule_session_uid_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_authority:
    Field: rule_authority
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_authority_case:
    Field: rule_authority_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_custom:
    Field: rule_custom
    Type: varchar(128)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_custom_case:
    Field: rule_custom_case
    Type: varchar(16)
    'Null': YES
    Key:
    Default:
    Extra:
  rule_blog_id:
    Field: rule_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}schedule:
  schedule_id:
    Field: schedule_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  schedule_name:
    Field: schedule_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  schedule_desc:
    Field: schedule_desc
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  schedule_year:
    Field: schedule_year
    Type: char(4)
    'Null': NO
    Key:
    Default:
    Extra:
  schedule_month:
    Field: schedule_month
    Type: char(2)
    'Null': NO
    Key:
    Default:
    Extra:
  schedule_data:
    Field: schedule_data
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  schedule_field:
    Field: schedule_field
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  schedule_blog_id:
    Field: schedule_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}sequence_plugin:
  sequence_plugin_key:
    Field: sequence_plugin_key
    Type: varchar(255)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  sequence_plugin_value:
    Field: sequence_plugin_value
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}sequence:
  sequence_blog_id:
    Field: sequence_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_alias_id:
    Field: sequence_alias_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_config_set_id:
    Field: sequence_config_set_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_user_id:
    Field: sequence_user_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_category_id:
    Field: sequence_category_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_entry_id:
    Field: sequence_entry_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_column_id:
    Field: sequence_column_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_comment_id:
    Field: sequence_comment_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_trackback_id:
    Field: sequence_trackback_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_rule_id:
    Field: sequence_rule_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_module_id:
    Field: sequence_module_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_form_id:
    Field: sequence_form_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_media_id:
    Field: sequence_media_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_role_id:
    Field: sequence_role_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_usergroup_id:
    Field: sequence_usergroup_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_approval_id:
    Field: sequence_approval_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_schedule_id:
    Field: sequence_schedule_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_shop_address_id:
    Field: sequence_shop_address_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_webhook_id:
    Field: sequence_webhook_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_audit_log_Id:
    Field: sequence_audit_log_Id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  sequence_trial_hash:
    Field: sequence_trial_hash
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
  sequence_trial:
    Field: sequence_trial
    Type: datetime
    'Null': YES
    Key:
    Default:
    Extra:
  sequence_app_salt:
    Field: sequence_app_salt
    Type: varchar(64)
    'Null': YES
    Key:
    Default:
    Extra:
  sequence_current_salt:
    Field: sequence_current_salt
    Type: varchar(64)
    'Null': YES
    Key:
    Default:
    Extra:
  sequence_previous_salt:
    Field: sequence_previous_salt
    Type: varchar(64)
    'Null': YES
    Key:
    Default:
    Extra:
  sequence_salt_updated_at:
    Field: sequence_salt_updated_at
    Type: datetime
    'Null': YES
    Key:
    Default:
    Extra:
  sequence_system_version:
    Field: sequence_system_version
    Type: varchar(32)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}session_php:
  session_id:
    Field: session_id
    Type: varchar(255)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  session_expire:
    Field: session_expire
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  session_data:
    Field: session_data
    Type: text
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}shop_address:
  address_id:
    Field: address_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  address_primary:
    Field: address_primary
    Type: varchar(8)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  address_name:
    Field: address_name
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  address_ruby:
    Field: address_ruby
    Type: varchar(64)
    'Null': YES
    Key:
    Default:
    Extra:
  address_country:
    Field: address_country
    Type: varchar(64)
    'Null': YES
    Key:
    Default:
    Extra:
  address_zip:
    Field: address_zip
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  address_prefecture:
    Field: address_prefecture
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  address_city:
    Field: address_city
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  address_field_1:
    Field: address_field_1
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  address_field_2:
    Field: address_field_2
    Type: varchar(64)
    'Null': YES
    Key:
    Default:
    Extra:
  address_telephone:
    Field: address_telephone
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  address_user_id:
    Field: address_user_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  address_blog_id:
    Field: address_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}shop_cart:
  cart_session_id:
    Field: cart_session_id
    Type: char(32)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  cart_data:
    Field: cart_data
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  cart_blog_id:
    Field: cart_blog_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
%{PREFIX}tag:
  tag_name:
    Field: tag_name
    Type: varchar(255)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  tag_sort:
    Field: tag_sort
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  tag_entry_id:
    Field: tag_entry_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  tag_blog_id:
    Field: tag_blog_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
%{PREFIX}tag_rev:
  tag_name:
    Field: tag_name
    Type: varchar(255)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  tag_sort:
    Field: tag_sort
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  tag_entry_id:
    Field: tag_entry_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  tag_blog_id:
    Field: tag_blog_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
  tag_rev_id:
    Field: tag_rev_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
%{PREFIX}trackback:
  trackback_id:
    Field: trackback_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  trackback_status:
    Field: trackback_status
    Type: varchar(16)
    'Null': NO
    Key: PRI
    Default: open
    Extra:
  trackback_url:
    Field: trackback_url
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  trackback_title:
    Field: trackback_title
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  trackback_excerpt:
    Field: trackback_excerpt
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  trackback_blog_name:
    Field: trackback_blog_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  trackback_response:
    Field: trackback_response
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  trackback_host:
    Field: trackback_host
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  trackback_datetime:
    Field: trackback_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '1000-01-01 00:00:00'
    Extra:
  trackback_flow:
    Field: trackback_flow
    Type: varchar(16)
    'Null': NO
    Key:
    Default: receive
    Extra:
  trackback_entry_id:
    Field: trackback_entry_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  trackback_blog_id:
    Field: trackback_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}user:
  user_id:
    Field: user_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  user_code:
    Field: user_code
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  user_status:
    Field: user_status
    Type: varchar(16)
    'Null': NO
    Key:
    Default: open
    Extra:
  user_sort:
    Field: user_sort
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  user_name:
    Field: user_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  user_pass:
    Field: user_pass
    Type: char(255)
    'Null': NO
    Key:
    Default:
    Extra:
  user_pass_reset:
    Field: user_pass_reset
    Type: varchar(32)
    'Null': NO
    Key:
    Default:
    Extra:
  user_pass_generation:
    Field: user_pass_generation
    Type: int(2)
    'Null': NO
    Key:
    Default: 0
    Extra:
  user_tfa_secret:
    Field: user_tfa_secret
    Type: varchar(128)
    'Null': YES
    Key:
    Default:
    Extra:
  user_tfa_secret_iv:
    Field: user_tfa_secret_iv
    Type: varchar(128)
    'Null': YES
    Key:
    Default:
    Extra:
  user_tfa_recovery:
    Field: user_tfa_recovery
    Type: varchar(128)
    'Null': YES
  user_twitter_id:
    Field: user_twitter_id
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  user_facebook_id:
    Field: user_facebook_id
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  user_google_id:
    Field: user_google_id
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  user_line_id:
    Field: user_line_id
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  user_mail:
    Field: user_mail
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  user_mail_magazine:
    Field: user_mail_magazine
    Type: varchar(8)
    'Null': NO
    Key:
    Default: on
    Extra:
  user_mail_mobile:
    Field: user_mail_mobile
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  user_mail_mobile_magazine:
    Field: user_mail_mobile_magazine
    Type: varchar(8)
    'Null': NO
    Key:
    Default: on
    Extra:
  user_url:
    Field: user_url
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  user_icon:
    Field: user_icon
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  user_auth:
    Field: user_auth
    Type: varchar(16)
    'Null': NO
    Key:
    Default: contributor
    Extra:
  user_mode:
    Field: user_mode
    Type: varchar(32)
    'Null': NO
    key:
    Default:
    Extra:
  user_locale:
    Field: user_locale
    Type: varchar(16)
    'Null': NO
    Key:
    Default:
    Extra:
  user_indexing:
    Field: user_indexing
    Type: varchar(8)
    'Null': NO
    Key:
    Default: on
    Extra:
  user_login_anywhere:
    Field: user_login_anywhere
    Type: varchar(8)
    'Null': NO
    Key:
    Default: off
    Extra:
  user_global_auth:
    Field: user_global_auth
    Type: varchar(8)
    'Null': NO
    Key:
    Default: on
    Extra:
  user_login_terminal_restriction:
    Field: user_login_terminal_restriction
    Type: varchar(8)
    'Null': NO
    Key:
    Default: off
    Extra:
  user_login_expire:
    Field: user_login_expire
    Type: date
    'Null': NO
    Key:
    Default: '9999-12-31'
    Extra:
  user_login_datetime:
    Field: user_login_datetime
    Type: datetime
    'Null': YES
    Key:
    Default:
    Extra:
  user_updated_datetime:
    Field: user_updated_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '1000-01-01 00:00:00'
    Extra:
  user_generated_datetime:
    Field: user_generated_datetime
    Type: datetime
    'Null': NO
    Key:
    Default: '1000-01-01 00:00:00'
    Extra:
  user_withdrawal_datetime:
    Field: user_withdrawal_datetime
    Type: datetime
    'Null': YES
    Key:
    Default:
    Extra:
  user_session_data:
    Field: user_session_data
    Type: longtext
    'Null': YES
    Key:
    Default:
    Extra:
  user_blog_id:
    Field: user_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}user_session:
  user_session_uid:
    Field: user_session_uid
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  user_session_host:
    Field: user_session_host
    Type: varchar(128)
    'Null': NO
    Key:
    Default:
    Extra:
  user_session_address:
    Field: user_session_address
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  user_session_id:
    Field: user_session_id
    Type: varchar(255)
    'Null': YES
    Key:
    Default:
    Extra:
%{PREFIX}usergroup:
  usergroup_id:
    Field: usergroup_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  usergroup_name:
    Field: usergroup_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  usergroup_description:
    Field: usergroup_description
    Type: varchar(512)
    'Null': NO
    Key:
    Default:
    Extra:
  usergroup_approval_point:
    Field: usergroup_approval_point
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  usergroup_role_id:
    Field: usergroup_role_id
    Type: int(11)
    'Null': NO
    Key: MUL
    Default:
    Extra:
%{PREFIX}usergroup_user:
  usergroup_id:
    Field: usergroup_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  user_id:
    Field: user_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
%{PREFIX}workflow:
  workflow_blog_id:
    Field: workflow_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  workflow_category_id:
    Field: workflow_category_id
    Type: int(11)
    'Null': YES
    Key:
    Default: NULL
    Extra:
  workflow_status:
    Field: workflow_status
    Type: varchar(8)
    'Null': NO
    Key:
    Default: close
    Extra:
  workflow_name:
    Field: workflow_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  workflow_description:
    Field: workflow_description
    Type: varchar(512)
    'Null': NO
    Key:
    Default:
    Extra:
  workflow_type:
    Field: workflow_type
    Type: varchar(8)
    'Null': NO
    Key:
    Default: series
    Extra:
  workflow_public_point:
    Field: workflow_public_point
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  workflow_reject_point:
    Field: workflow_reject_point
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  workflow_start_group:
    Field: workflow_start_group
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  workflow_last_group:
    Field: workflow_last_group
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}workflow_usergroup:
  workflow_blog_id:
    Field: workflow_blog_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  workflow_category_id:
    Field: workflow_category_id
    Type: int(11)
    'Null': YES
    Key:
    Default: NULL
    Extra:
  usergroup_id:
    Field: usergroup_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  workflow_sort:
    Field: workflow_sort
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
%{PREFIX}app:
  app_name:
    Field: app_name
    Type: varchar(128)
    'Null': NO
    Key:
    Default:
    Extra:
  app_version:
    Field: app_version
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
  app_status:
    Field: app_status
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  app_activate_datetime:
    Field: app_activate_datetime
    Type: datetime
    'Null': YES
    Key:
    Default:
    Extra:
  app_install_datetime:
    Field: app_install_datetime
    Type: datetime
    'Null': NO
    Key:
    Default:
    Extra:
  app_blog_id:
    Field: app_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}preview_share:
  preview_share_uri:
    Field: preview_share_uri
    Type: varchar(512)
    'Null': NO
    Key:
    Default:
    Extra:
  preview_share_expire:
    Field: preview_share_expire
    Type: datetime
    'Null': YES
    Key:
    Default:
    Extra:
  preview_share_token:
    Field: preview_share_token
    Type: varchar(128)
    'Null': YES
    Key:
    Default:
    Extra:
%{PREFIX}lock:
  lock_key:
    Field: lock_key
    Type: char(64)
    'Null': NO
    Key:
    Default:
    Extra:
  lock_datetime:
    Field: lock_datetime
    Type: datetime
    'Null': NO
    Key:
    Default:
    Extra:
  lock_address:
    Field: lock_address
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}lock_source:
  lock_source_key:
    Field: lock_source_key
    Type: char(64)
    'Null': NO
    Key:
    Default:
    Extra:
  lock_source_datetime:
    Field: lock_source_datetime
    Type: datetime
    'Null': NO
    Key:
    Default:
    Extra:
  lock_source_address:
    Field: lock_source_address
    Type: varchar(64)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}webhook:
  webhook_id:
    Field: webhook_id
    Type: int(11)
    'Null': NO
    Key: PRI
    Default:
    Extra:
  webhook_status:
    Field: webhook_status
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  webhook_name:
    Field: webhook_name
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  webhook_type:
    Field: webhook_type
    Type: varchar(32)
    'Null': NO
    Key:
    Default:
    Extra:
  webhook_events:
    Field: webhook_events
    Type: varchar(128)
    'Null': NO
    Key:
    Default:
    Extra:
  webhook_url:
    Field: webhook_url
    Type: longtext
    'Null': NO
    Key:
    Default:
    Extra:
  webhook_history:
    Field: webhook_history
    Type: varchar(8)
    'Null': NO
    Key:
    Default: off
    Extra:
  webhook_scope:
    Field: webhook_scope
    Type: varchar(8)
    'Null': NO
    Key:
    Default:
    Extra:
  webhook_payload:
    Field: webhook_payload
    Type: varchar(8)
    'Null': NO
    Key:
    Default: off
    Extra:
  webhook_payload_tpl:
    Field: webhook_payload_tpl
    Type: longtext
    'Null': YES
    Key:
    Default:
    Extra:
  webhook_secret:
    Field: webhook_secret
    Type: varchar(128)
    'Null': NO
    Key:
    Default:
    Extra:
  webhook_blog_id:
    Field: webhook_blog_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}log_webhook:
  log_webhook_datetime:
    Field: log_webhook_datetime
    Type: datetime
    'Null': NO
    Key:
    Default:
    Extra:
  log_webhook_endpoint:
    Field: log_webhook_endpoint
    Type: varchar(512)
    'Null': NO
    Key:
    Default:
    Extra:
  log_webhook_status_code:
    Field: log_webhook_status_code
    Type: varchar(32)
    'Null': NO
    Key:
    Default:
    Extra:
  log_webhook_event:
    Field: log_webhook_event
    Type: varchar(32)
    'Null': NO
    Key:
    Default:
    Extra:
  log_webhook_id:
    Field: log_webhook_id
    Type: int(11)
    'Null': NO
    Key:
    Default:
    Extra:
  log_webhook_request_header:
    Field: log_webhook_request_header
    Type: longtext
    'Null': YES
    Key:
    Default:
    Extra:
  log_webhook_request_body:
    Field: log_webhook_request_body
    Type: longtext
    'Null': YES
    Key:
    Default:
    Extra:
  log_webhook_response_header:
    Field: log_webhook_response_header
    Type: longtext
    'Null': YES
    Key:
    Default:
    Extra:
  log_webhook_response_body:
    Field: log_webhook_response_body
    Type: longtext
    'Null': YES
    Key:
    Default:
    Extra:
  log_webhook_response_time:
    Field: log_webhook_response_time
    Type: double
    'Null': NO
    Key:
    Default:
    Extra:
%{PREFIX}token:
  token_key:
    Field: token_key
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  token_type:
    Field: token_type
    Type: varchar(32)
    'Null': NO
    Key:
    Default:
    Extra:
  token_value:
    Field: token_value
    Type: varchar(255)
    'Null': NO
    Key:
    Default:
    Extra:
  token_data:
    Field: token_data
    Type: text
    'Null': NO
    Key:
    Default:
    Extra:
  token_expire:
    Field: token_expire
    Type: datetime
    'Null': NO
    Key:
    Default: '9999-12-31 23:59:59'
    Extra:
